net.corda.core.utilities

## Class ProgressTracker.Step

- net.corda.core.utilities.ProgressTracker.Step

- Direct Known Subclasses:
    Companion.APPROVING, Companion.AWAITING_PROPOSAL, Companion.AWAITING_PROPOSAL, Companion.AWAITING_REQUEST, Companion.BROADCASTING, Companion.COMMITTING, Companion.COPYING_TO_REGULATOR, ProgressTracker.DONE, Companion.FINALISING_TX, Companion.GENERATING_TX, Companion.ISSUING, Companion.NOTARISING, Companion.NOTARY, Companion.NOTARY, Companion.RECEIVING, Buyer.RECEIVING, Companion.RECORDING, Companion.RECORDING, Companion.REQUESTING, Companion.RUNNING, ProgressTracker.RelabelableStep, Companion.SENDING_CONFIRM, Companion.SENDING_FINAL_TX, Buyer.SENDING_SIGNATURES, Companion.SENDING_SIGS, Buyer.SIGNING, Companion.SIGNING, Companion.SIGNING, Companion.SIGNING, Companion.SIGNING, Companion.SIGNING_TX, Companion.SWAPPING_SIGNATURES, Companion.TRANSFERRING, ProgressTracker.UNSTARTED, Companion.VALIDATING, Companion.VERIFYING, Companion.VERIFYING, Companion.VERIFYING, Buyer.VERIFYING, Companion.VERIFYING, Buyer.WAITING_FOR_TX
  Enclosing class:
    ProgressTracker

      public static class ProgressTracker.Step

  The superclass of all step objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Step(java.lang.String label)` The superclass of all step objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProgressTracker` | `childProgressTracker()`
    `rx.Observable<net.corda.core.utilities.ProgressTracker.Change>` | `getChanges()`
    `java.lang.String` | `getLabel()`

- - ### Constructor Detail

    - #### Step

          public Step(java.lang.String label)

      The superclass of all step objects.

  - ### Method Detail

    - #### getChanges

          public rx.Observable<net.corda.core.utilities.ProgressTracker.Change> getChanges()

    - #### childProgressTracker

          public ProgressTracker childProgressTracker()

    - #### getLabel

          public java.lang.String getLabel()